| Flutter Linux Embedder |

Functions
fl_platform_handler.h File Reference
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_binary_messenger.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlPlatformHandler, fl_platform_handler, FL, PLATFORM_HANDLER, GObject)
FlPlatformHandler * | fl_platform_handler_new (FlBinaryMessenger *messenger)
void | fl_platform_handler_request_app_exit (FlPlatformHandler *handler)

## Function Documentation

## ◆ fl_platform_handler_new()

FlPlatformHandler* fl_platform_handler_new | ( | FlBinaryMessenger * | messenger | ) |

FlPlatformHandler:

#FlPlatformHandler is a handler that implements the shell side of SystemChannels.platform from the Flutter services library. fl_platform_handler_new: @messenger: an #FlBinaryMessenger

Creates a new handler that implements SystemChannels.platform from the Flutter services library.

Returns: a new #FlPlatformHandler

Definition at line 254 of file fl_platform_handler.cc.

254 {
255 g_return_val_if_fail(FL_IS_BINARY_MESSENGER(messenger), nullptr);
256
257 FlPlatformHandler* self = FL_PLATFORM_HANDLER(
258 g_object_new(fl_platform_handler_get_type(), nullptr));
259
260 self->channel =
261 fl_platform_channel_new(messenger, &platform_channel_vtable, self);
262 self->app_initialization_complete = FALSE;
263
264 return self;
265 }
fl_platform_channel_new
FlPlatformChannel * fl_platform_channel_new(FlBinaryMessenger *messenger, FlPlatformChannelVTable *vtable, gpointer user_data)
Definition: fl_platform_channel.cc:222
platform_channel_vtable
static FlPlatformChannelVTable platform_channel_vtable
Definition: fl_platform_handler.cc:244

References fl_platform_channel_new(), and platform_channel_vtable.

Referenced by fl_engine_start(), fl_test_application_activate(), and TEST().

## ◆ fl_platform_handler_request_app_exit()

void fl_platform_handler_request_app_exit | ( | FlPlatformHandler * | handler | ) |

fl_platform_handler_request_app_exit: @handler: an #FlPlatformHandler

Request the application exits (i.e. due to the window being requested to be closed).

Calling this will only send an exit request to the framework if the framework has already indicated that it is ready to receive requests by sending a "System.initializationComplete" method call on the platform channel. Calls before initialization is complete will result in an immediate exit.

Definition at line 267 of file fl_platform_handler.cc.

267 {
268 g_return_if_fail(FL_IS_PLATFORM_HANDLER(self));
269 // Request a cancellable exit.
270 request_app_exit(self, FL_PLATFORM_CHANNEL_EXIT_TYPE_CANCELABLE);
271 }
FL_PLATFORM_CHANNEL_EXIT_TYPE_CANCELABLE
@ FL_PLATFORM_CHANNEL_EXIT_TYPE_CANCELABLE
Definition: fl_platform_channel.h:14
request_app_exit
static void request_app_exit(FlPlatformHandler *self, FlPlatformChannelExitType type)
Definition: fl_platform_handler.cc:153

References FL_PLATFORM_CHANNEL_EXIT_TYPE_CANCELABLE, and request_app_exit().

Referenced by fl_engine_request_app_exit().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlPlatformHandler | ,
|  | fl_platform_handler | ,
|  | FL | ,
|  | PLATFORM_HANDLER | ,
|  | GObject |
| ) |  |